Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 485542 (breip-font) - Review Request: breip-font - The Breip handwriting-style cursive font
Summary: Review Request: breip-font - The Breip handwriting-style cursive font
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: breip-font
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-02-14 01:07 UTC by Stephen Carter
Modified: 2011-05-26 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 17:54:38 UTC


Attachments (Terms of Use)

Description Stephen Carter 2009-02-14 01:07:53 UTC
Spec URL: http://matrix.senecac.on.ca/~scarter4/breip-font.spec
SRPM URL: http://matrix.senecac.on.ca/~scarter4/breip-font-0.5.1-2.fc10.src.rpm
Description: Breip is a handwriting font made by Alan Hussey using the handwriting of his friend Adam Breipohl, hence the name 'breip'.

Comment 1 Stephen Carter 2009-02-14 01:12:56 UTC
I also have another font awaiting review, which you can find here:  https://bugzilla.redhat.com/show_bug.cgi?id=484057 . I need two clean font package submissions to be sponsored, and this is my second package. Comments and reviews are welcome!

Comment 2 Nicolas Mailhot 2009-02-14 11:38:13 UTC
1. If you have access to the fonts sources, please start by removing the pre-built *.ttf and *.otf and only ship the result of your build in the noarch package

2. Do not try to package both ttf and otf formats
http://fedoraproject.org/wiki/Choosing_the_right_font_format_to_package

3. The otf file in the archive looks suspiciously bigger thant the ttf file, and it has a newer timestamp. Please check with upstream it was actually build from the packaged sfds and not from a more recent version they forgot to publish

4. You need to add fontforge to buildrequires if you want you package to build in mock/koji. If you want to maintain packages in Fedora it's a good idea to install mock on your system
http://fedoraproject.org/wiki/Projects/Mock

5. you can drop
%dir %{_fontdir}

for fedora-devel (will probably change the behaviour of the macros in F9 and F10 too soonish)

6. your fontconfig file is not finished

Comment 3 Nicolas Mailhot 2010-02-22 17:54:38 UTC
Since this is going nowhere :(


Note You need to log in before you can comment on or make changes to this bug.